Package org.drinkless.tdlib

# Class TdApi.LinkPreviewTypeGiftAuction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LinkPreviewType
org.drinkless.tdlib.TdApi.LinkPreviewTypeGiftAuction

Enclosing class:
  `TdApi`

public static class TdApi.LinkPreviewTypeGiftAuction extends TdApi.LinkPreviewType
The link is a link to a gift auction.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.LinkPreviewType

  `TdApi.LinkPreviewType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `auctionEndDate`
  Point in time (Unix timestamp) when the auction will be ended.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Gift`
  `gift`
  The gift.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkPreviewTypeGiftAuction()`
  The link is a link to a gift auction.
  `LinkPreviewTypeGiftAuction(TdApi.Gift gift, int auctionEndDate)`
  The link is a link to a gift auction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### gift

    public TdApi.Gift gift
    The gift.

  - ### auctionEndDate

    public int auctionEndDate
    Point in time (Unix timestamp) when the auction will be ended.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LinkPreviewTypeGiftAuction

    public LinkPreviewTypeGiftAuction()
    The link is a link to a gift auction.

  - ### LinkPreviewTypeGiftAuction

    public LinkPreviewTypeGiftAuction(TdApi.Gift gift, int auctionEndDate)
    The link is a link to a gift auction.
    Parameters:
      `gift` - The gift.
      `auctionEndDate` - Point in time (Unix timestamp) when the auction will be ended.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.LinkPreviewType`
    Returns:
      this.CONSTRUCTOR